#include "audioaiassistantmainwindowproxy.h"
#include "audioaiassistantsetting.h"
#include "audioaiassistant.h"
#include "serverwrapper.h"

UOSAI_USE_NAMESPACE

AudioAiassistantMainWindowProxy::AudioAiassistantMainWindowProxy(AudioAiassistant *parent)
    : QObject(parent)
    , q(parent)
{
    connect(q,&AudioAiassistant::onNotify,this,&AudioAiassistantMainWindowProxy::onNotify,Qt::DirectConnection);
}

AudioAiassistantMainWindowProxy::~AudioAiassistantMainWindowProxy()
{

}

void AudioAiassistantMainWindowProxy::SpeechToText()
{
    q->speechToText();
}

void AudioAiassistantMainWindowProxy::TextToSpeech()
{
    q->textToSpeech();
}

//转写
QString AudioAiassistantMainWindowProxy::startAsr(const QVariantMap &param)
{
    return q->startAsr(param);
}

void AudioAiassistantMainWindowProxy::stopAsr()
{
    q->stopAsr();
}

void AudioAiassistantMainWindowProxy::TextToTranslate()
{
    //随航翻译快捷键
    emit ServerWrapper::instance()->sigToTranslate();
}

